[Deprecated]: V1.0

put

/ec-designer-svc/rest/v1.0/studies/{studyId}/versions/{version}/randomizations/{randomId}

Deprecated: Use latest version instead. Updates an existing randomization design in the specified study version. The randomId path parameter identifies the design, the request provides the updated randomization details, arms, visits, and settings, and branchIds identifies the visit schedule branches to apply. The response returns the updated randomization design.

Request

Path Parameters
Supported Media Types
Request Body - application/json ()
Root Schema : RandomizationDto v1.0
Type: object
Title: RandomizationDto v1.0
Randomization Design Info
Show Source
Nested Schema : arms
Type: array
Show Source
Nested Schema : RandomizationDetails v1.0
Type: object
Title: RandomizationDetails v1.0
Randomization Details DTO
Show Source
  • Allowed Values: [ "NONE", "CENTRAL", "CENTRAL_STRATIFIED", "SITE_BLOCKED_FIXED", "SITE_BLOCKED_FIXED_STRATIFIED", "SITE_BLOCKED_DYNAMIC", "SITE_BLOCKED_DYNAMIC_STRATIFIED", "COUNTRY_BLOCKED_FIXED", "COUNTRY_BLOCKED_FIXED_STRATIFIED", "COUNTRY_BLOCKED_DYNAMIC", "COUNTRY_BLOCKED_DYNAMIC_STRATIFIED", "REGION_BLOCKED_FIXED", "REGION_BLOCKED_FIXED_STRATIFIED", "REGION_BLOCKED_DYNAMIC", "REGION_BLOCKED_DYNAMIC_STRATIFIED", "MINIMIZATION" ]
    The algorithm of the randomization design
    Example: Central
  • Allowed Values: [ "NoCohort", "Adaptive", "Demography", "invalid" ]
    The cohort type of the randomization design
    Example: None
  • Minimum Length: 0
    Maximum Length: 4000
    Randomization Design Description
    Example: Method to assign study participants to a treatment group.
  • Minimum Length: 1
    Maximum Length: 64
    Randomization Title
    Example: Rand 001
Nested Schema : RandomizationSettings v1.0
Type: object
Title: RandomizationSettings v1.0
Randomization Settings DTO
Show Source
Nested Schema : visits
Type: array
Show Source
Nested Schema : RandomizationArm v1.0
Type: object
Title: RandomizationArm v1.0
Randomization Treatment Arm Ratio
Show Source
Nested Schema : RandomizationVisit v1.0
Type: object
Title: RandomizationVisit v1.0
Randomization Visit
Show Source
Examples

Back to Top

Response

Supported Media Types

200 Response

Successful operation.
Body ()
Root Schema : RandomizationDto v1.0
Type: object
Title: RandomizationDto v1.0
Randomization Design Info
Show Source
Nested Schema : arms
Type: array
Show Source
Nested Schema : RandomizationDetails v1.0
Type: object
Title: RandomizationDetails v1.0
Randomization Details DTO
Show Source
  • Allowed Values: [ "NONE", "CENTRAL", "CENTRAL_STRATIFIED", "SITE_BLOCKED_FIXED", "SITE_BLOCKED_FIXED_STRATIFIED", "SITE_BLOCKED_DYNAMIC", "SITE_BLOCKED_DYNAMIC_STRATIFIED", "COUNTRY_BLOCKED_FIXED", "COUNTRY_BLOCKED_FIXED_STRATIFIED", "COUNTRY_BLOCKED_DYNAMIC", "COUNTRY_BLOCKED_DYNAMIC_STRATIFIED", "REGION_BLOCKED_FIXED", "REGION_BLOCKED_FIXED_STRATIFIED", "REGION_BLOCKED_DYNAMIC", "REGION_BLOCKED_DYNAMIC_STRATIFIED", "MINIMIZATION" ]
    The algorithm of the randomization design
    Example: Central
  • Allowed Values: [ "NoCohort", "Adaptive", "Demography", "invalid" ]
    The cohort type of the randomization design
    Example: None
  • Minimum Length: 0
    Maximum Length: 4000
    Randomization Design Description
    Example: Method to assign study participants to a treatment group.
  • Minimum Length: 1
    Maximum Length: 64
    Randomization Title
    Example: Rand 001
Nested Schema : RandomizationSettings v1.0
Type: object
Title: RandomizationSettings v1.0
Randomization Settings DTO
Show Source
Nested Schema : visits
Type: array
Show Source
Nested Schema : RandomizationArm v1.0
Type: object
Title: RandomizationArm v1.0
Randomization Treatment Arm Ratio
Show Source
Nested Schema : RandomizationVisit v1.0
Type: object
Title: RandomizationVisit v1.0
Randomization Visit
Show Source
Examples

500 Response

Returned when the request cannot be completed due to validation failure, authorization failure, or an unexpected server-side condition.
Body ()
Root Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Example:
{
    "field":"studyId",
    "reason":"Invalid value"
}
Back to Top